## ansible 1.4.4+dfsg

=== Makefile ===
#!/usr/bin/make
# WARN: gmake syntax
########################################################
# Makefile for Ansible
#
# useful targets:
#   make sdist ---------------- produce a tarball
#   make rpm  ----------------- produce RPMs
#   make deb ------------------ produce a DEB
#   make docs ----------------- rebuild the manpages (results are checked in)
#   make tests ---------------- run the tests
#   make pyflakes, make pep8 -- source code checks

########################################################
# variable section

NAME = "ansible"
OS = $(shell uname -s)

# Manpages are currently built with asciidoc -- would like to move to markdown
# This doesn't evaluate until it's called. The -D argument is the
# directory of the target file ($@), kinda like `dirname`.
MANPAGES := docs/man/man1/ansible.1 docs/man/man1/ansible-playbook.1 docs/man/man1/ansible-pull.1 docs/man/man1/ansible-doc.1
ifneq ($(shell which a2x 2>/dev/null),)
ASCII2MAN = a2x -D $(dir $@) -d manpage -f manpage $<
ASCII2HTMLMAN = a2x -D docs/html/man/ -d manpage -f xhtml
else
ASCII2MAN = @echo "ERROR: AsciiDoc 'a2x' command is not installed but is required to build $(MANPAGES)" && exit 1
endif

PYTHON=python
SITELIB = $(shell $(PYTHON) -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

# VERSION file provides one place to update the software version
VERSION := $(shell cat VERSION)

# Get the branch information from git
ifneq ($(shell which git),)
GIT_DATE := $(shell git log -n 1 --format="%ai")
endif

ifeq ($(shell echo $(OS) | egrep -c 'Darwin|FreeBSD|OpenBSD'),1)
DATE := $(shell date -j -r $(shell git log -n 1 --format="%at") +%Y%m%d%H%M)
else
DATE := $(shell date --utc --date="$(GIT_DATE)" +%Y%m%d%H%M)
endif

# RPM build parameters
RPMSPECDIR= packaging/rpm
RPMSPEC = $(RPMSPECDIR)/ansible.spec
RPMDIST = $(shell rpm --eval '%{?dist}')
RPMRELEASE = 1
ifeq ($(OFFICIAL),)
    RPMRELEASE = 0.git$(DATE)
endif
RPMNVR = "$(NAME)-$(VERSION)-$(RPMRELEASE)$(RPMDIST)"

NOSETESTS := nosetests

########################################################

all: clean python

tests:
	PYTHONPATH=./lib ANSIBLE_LIBRARY=./library  $(NOSETESTS) -d -v

# To force a rebuild of the docs run 'touch VERSION && make docs'
docs: $(MANPAGES) modulepages

authors:
	sh hacking/authors.sh

# Regenerate %.1.asciidoc if %.1.asciidoc.in has been modified more
# recently than %.1.asciidoc.
%.1.asciidoc: %.1.asciidoc.in
	sed "s/%VERSION%/$(VERSION)/" $< > $@

# Regenerate %.1 if %.1.asciidoc or VERSION has been modified more
# recently than %.1. (Implicitly runs the %.1.asciidoc recipe)
%.1: %.1.asciidoc VERSION
	$(ASCII2MAN)

loc:
	sloccount lib library bin

pep8:
	@echo "#############################################"
	@echo "# Running PEP8 Compliance Tests"
	@echo "#############################################"
	-pep8 -r --ignore=E501,E221,W291,W391,E302,E251,E203,W293,E231,E303,E201,E225,E261,E241 lib/ bin/
	-pep8 -r --ignore=E501,E221,W291,W391,E302,E251,E203,W293,E231,E303,E201,E225,E261,E241 --filename "*" library/

pyflakes:
	pyflakes lib/ansible/*.py lib/ansible/*/*.py bin/*

clean:
	@echo "Cleaning up distutils stuff"
	rm -rf build
	rm -rf dist
	@echo "Cleaning up byte compiled python stuff"
	find . -type f -regex ".*\.py[co]$$" -delete
	@echo "Cleaning up editor backup files"
	find . -type f \( -name "*~" -or -name "#*" \) -delete
	find . -type f \( -name "*.swp" \) -delete
	@echo "Cleaning up manpage stuff"
	find ./docs/man -type f -name "*.xml" -delete
	find ./docs/man -type f -name "*.asciidoc" -delete
	find ./docs/man/man3 -type f -name "*.3" -delete
	@echo "Cleaning up output from test runs"
	rm -rf test/test_data
	@echo "Cleaning up RPM building stuff"
	rm -rf MANIFEST rpm-build
	@echo "Cleaning up Debian building stuff"
	rm -rf debian
	rm -rf deb-build
	rm -rf docs/json
	rm -rf docs/js
	@echo "Cleaning up authors file"
	rm -f AUTHORS.TXT

python:
	$(PYTHON) setup.py build

install:
	$(PYTHON) setup.py install

sdist: clean docs
	$(PYTHON) setup.py sdist -t MANIFEST.in

rpmcommon: sdist
	@mkdir -p rpm-build
	@cp dist/*.gz rpm-build/
	@sed -e 's#^Version:.*#Version: $(VERSION)#' -e 's#^Release:.*#Release: $(RPMRELEASE)%{?dist}#' $(RPMSPEC) >rpm-build/$(NAME).spec

srpm: rpmcommon
	@rpmbuild --define "_topdir %(pwd)/rpm-build" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define "_specdir $(RPMSPECDIR)" \
	--define "_sourcedir %{_topdir}" \
	-bs rpm-build/$(NAME).spec
	@rm -f rpm-build/$(NAME).spec
	@echo "#############################################"
	@echo "Ansible SRPM is built:"
	@echo "    rpm-build/$(RPMNVR).src.rpm"
	@echo "#############################################"

rpm: rpmcommon
	@rpmbuild --define "_topdir %(pwd)/rpm-build" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define "_specdir $(RPMSPECDIR)" \
	--define "_sourcedir %{_topdir}" \
	--define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" \
	--define "__python `which $(PYTHON)`" \
	-ba rpm-build/$(NAME).spec
	@rm -f rpm-build/$(NAME).spec
	@echo "#############################################"
	@echo "Ansible RPM is built:"
	@echo "    rpm-build/$(RPMNVR).noarch.rpm"
	@echo "#############################################"

debian: sdist
deb: debian
	cp -r packaging/debian ./
	chmod 755 debian/rules
	fakeroot debian/rules clean
	fakeroot dh_install
	fakeroot debian/rules binary

# for arch or gentoo, read instructions in the appropriate 'packaging' subdirectory directory

modulepages:
	PYTHONPATH=./lib $(PYTHON) hacking/module_formatter.py -A $(VERSION) -t man -o docs/man/man3/ --module-dir=library --template-dir=hacking/templates # --verbose

# because this requires Sphinx it is not run as part of every build, those building the RPM and so on can ignore this

webdocs:
	(cd docsite/; make docs)

=== docsite/Makefile ===
#!/usr/bin/make
SITELIB = $(shell python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
FORMATTER=../hacking/module_formatter.py

all: clean docs

docs: clean modules
	./build-site.py

viewdocs: clean
	./build-site.py view

htmldocs:
	./build-site.py rst

clean:
	-rm -rf htmlout
	-rm -f .buildinfo
	-rm -f *.inv
	-rm -rf *.doctrees
	@echo "Cleaning up byte compiled python stuff"
	find . -regex ".*\.py[co]$$" -delete
	@echo "Cleaning up editor backup files"
	find . -type f \( -name "*~" -or -name "#*" \) -delete
	find . -type f \( -name "*.swp" \) -delete

.PHONEY: docs clean

modules: $(FORMATTER) ../hacking/templates/rst.j2
	PYTHONPATH=../lib $(FORMATTER) -t rst --template-dir=../hacking/templates --module-dir=../library -o rst/modules/ --includes-file=rst/modules/_list.rst

=== packaging/port/sysutils/ansible/Makefile ===
# $FreeBSD$

PORTNAME=       ansible
PORTVERSION=    1.0
PORTREVISION=   1
CATEGORIES=     python net-mgmt
MASTER_SITES=   http://ansibleworks.com/releases/
DISTNAME=		${PORTNAME}-${PORTVERSION}

MAINTAINER=		briancoca+ansible@gmail.com
COMMENT=        Ansible ssh based config management framework

RUN_DEPENDS=   python>2.5:${PORTSDIR}/lang/python ${PORTSDIR}/devel/py-Jinja2 ${PORTSDIR}/devel/py-yaml \
				${PORTSDIR}/security/py-paramiko ${PORTSDIR}/devel/py-simplejson

FETCH_ARGS=	-pRr

USE_PYTHON=     yes
USE_PYDISTUTILS=	yes

#TODO:add optional dependencies (fireball mode i.e)

# extracts with github name + short hash, needs to be updated with new releases
#pre-configure:
#	@${MV} ${WRKDIR}/ansible ${WRKSRC}

.include <bsd.port.mk>

## ansible 1.1+dfsg

=== debian/changelog ===
ansible (1.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update patches disable-google-analytics.patch and 
    remove-external-image.patch to apply cleanly.
  * Add remove-external-footer-image.patch to remove link on external resource.
  * Add remove-external-training-references.patch:
    Training advertise contains links to external resources that may not be
    available or may be used for tracking users activity without their
    knowledge by the third-party.

 -- Janos Guljas <janos@debian.org>  Sat, 06 Apr 2013 23:27:08 +0200

ansible (0.9+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #698428)

 -- Janos Guljas <janos@debian.org>  Wed, 23 Jan 2013 01:52:40 +0100

=== debian/control ===
Source: ansible
Section: admin
Priority: optional
Maintainer: Janos Guljas <janos@debian.org>
Build-Depends: debhelper (>= 9), python-all, python-setuptools,
 python-sphinx, python-yaml
Standards-Version: 3.9.4
Homepage: http://ansible.cc
Vcs-Git: git://anonscm.debian.org/collab-maint/ansible.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/ansible.git

Package: ansible
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-yaml, python-paramiko,
 python-jinja2
Description: Configuration management, deployment, and task execution system
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.

Package: ansible-fireball
Architecture: all
Depends: ${misc:Depends}, ansible, python-keyczar, python-zmq
Description: Ansible fireball transport support
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.
 .
 Ansible can optionally use a 0MQ based transport mechanism, which is
 considerably faster than the standard ssh mechanism when there are
 multiple actions, but requires additional supporting packages.
 .
 This package is a dependency package, which depends on ansible and Python
 modules for keyczar and ZeroMQ.

Package: ansible-node-fireball
Architecture: all
Depends: ${misc:Depends}, python-keyczar, python-zmq
Description: Ansible fireball transport support for nodes
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.
 .
 Ansible can optionally use a 0MQ based transport mechanism, which has
 additional requirements for nodes to use. This package includes those
 requirements.
 .
 This package is a dependency package, which depends on Python modules for
 keyczar and ZeroMQ.

Package: ansible-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Description: Ansible documentation and examples
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.
 .
 This package contains HTML documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 -Spython_distutils

override_dh_fixperms:
	chmod +x `grep '^#!' debian/ansible/usr/share/ansible/* -n | grep ':1:' | cut -d: -f 1`
	dh_fixperms

override_dh_auto_build:
	dh_auto_build
	cp -a docsite html
	cp debian/missing-files/ansible_arch.png html
	PYTHONPATH=../lib make docs -C html
	rm -rf html/.gitignore \
	    html/_themes \
	    html/rst \
	    html/*.png \
	    html/*.jpg \
	    html/*.py \
	    html/Makefile \
	    html/.buildinfo

override_dh_auto_clean:
	rm -rf html
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=.
	rm -rf ansible-$(DEB_UPSTREAM_VERSION)
	tar -xf ansible_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	rm ansible_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	rm ansible-$(DEB_UPSTREAM_VERSION)/docsite/_static/jquery.js
	rm ansible-$(DEB_UPSTREAM_VERSION)/docsite/_static/underscore.js
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
		-f ansible_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz \
		ansible-$(DEB_UPSTREAM_VERSION)
	rm -r ansible-$(DEB_UPSTREAM_VERSION)

## ansible 1.4.0+dfsg

=== debian/changelog ===
ansible (1.4.0+dfsg-1) unstable; urgency=low

  * new upstream version
  * debian/rules:
    - remove sed manpage fixes, fixed upstream
  * debian/patches/fix-html-makefile:
    - removed, fixed upstream

 -- Michael Vogt <mvo@debian.org>  Sun, 24 Nov 2013 10:41:27 +0100

ansible (1.3.4+dfsg-1) unstable; urgency=low

  [ Harlan Lieberman-Berg ]
  * New upstream release (Closes: #717777).
    Fixes CVE-2013-2233 (Closes: #714822).
    Fixes CVE-2013-4259 (Closes: #721766).
  * Drop fix-ansible-cfg patch.
  * Change docsite generation to not expect docs as part of a wordpress install.
  * Add trivial patch to fix lintian error with rpm-key script.
  * Add patch header information to fix-html-makefile.
  
  [ Michael Vogt ]
  * add myself to uploader
  * build/ship the module manpages for ansible in the ansible package

 -- Michael Vogt <mvo@debian.org>  Fri, 01 Nov 2013 09:40:59 +0100

ansible (1.2.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Drop remove-external-training-references.patch

 -- Michael Vogt <mvo@debian.org>  Sat, 13 Jul 2013 21:40:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Janos Guljas <janos@debian.org>
+Uploaders: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 9), python-all, python-setuptools,
  python-sphinx, python-yaml
 Standards-Version: 3.9.4

## ansible 1.4.1+dfsg

=== debian/changelog ===
ansible (1.4.1+dfsg-1) unstable; urgency=low

  * New upstream version
  * add asciidoc build-depends

 -- Michael Vogt <mvo@debian.org>  Tue, 03 Dec 2013 08:17:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Janos Guljas <janos@debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 9), python-all, python-setuptools,
- python-sphinx, python-yaml
+ python-sphinx, python-yaml, asciidoc
 Standards-Version: 3.9.4
 Homepage: http://ansible.cc
 Vcs-Git: git://anonscm.debian.org/collab-maint/ansible.git

## ansible 1.4.4+dfsg

=== debian/changelog ===
ansible (1.4.4+dfsg-1~ubuntu13.04.1) raring-backports; urgency=low

  * No-change backport to raring (LP: #1247541)

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 10 Jan 2014 18:09:14 +0100

ansible (1.4.4+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Tue, 07 Jan 2014 19:58:44 +0100

ansible (1.4.3+dfsg-2) unstable; urgency=low

  * add "Suggests: ansible-doc" to the dependency, thanks to
    Ben Finney (closes: #729350)
  * Fix Vcs-Browser, thanks to Alessandro Ghedini
    (closes: #731482)

 -- Michael Vogt <mvo@debian.org>  Tue, 07 Jan 2014 10:58:44 +0100

ansible (1.4.3+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Fri, 27 Dec 2013 09:48:35 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
 Standards-Version: 3.9.4
 Homepage: http://ansible.cc
 Vcs-Git: git://anonscm.debian.org/collab-maint/ansible.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/ansible.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ansible.git
 
 Package: ansible
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-yaml, python-paramiko,
- python-jinja2
+ python-jinja2, python-httplib2
+Suggests: ansible-doc
 Description: Configuration management, deployment, and task execution system
  Ansible is a radically simple model-driven configuration management,
  multi-node deployment, and remote task execution system. Ansible works

## ansible 1.5.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -55,17 +55,14 @@
 endif
 RPMNVR = "$(NAME)-$(VERSION)-$(RPMRELEASE)$(RPMDIST)"
 
-NOSETESTS := nosetests
+NOSETESTS ?= nosetests
 
 ########################################################
 
 all: clean python
 
 tests:
-	PYTHONPATH=./lib ANSIBLE_LIBRARY=./library  $(NOSETESTS) -d -v
-
-# To force a rebuild of the docs run 'touch VERSION && make docs'
-docs: $(MANPAGES) modulepages
+	PYTHONPATH=./lib ANSIBLE_LIBRARY=./library  $(NOSETESTS) -d -w test/units -v
 
 authors:
 	sh hacking/authors.sh
@@ -127,7 +124,7 @@
 sdist: clean docs
 	$(PYTHON) setup.py sdist -t MANIFEST.in
 
-rpmcommon: sdist
+rpmcommon: $(MANPAGES) sdist
 	@mkdir -p rpm-build
 	@cp dist/*.gz rpm-build/
 	@sed -e 's#^Version:.*#Version: $(VERSION)#' -e 's#^Release:.*#Release: $(RPMRELEASE)%{?dist}#' $(RPMSPEC) >rpm-build/$(NAME).spec
@@ -172,11 +169,6 @@
 
 # for arch or gentoo, read instructions in the appropriate 'packaging' subdirectory directory
 
-modulepages:
-	PYTHONPATH=./lib $(PYTHON) hacking/module_formatter.py -A $(VERSION) -t man -o docs/man/man3/ --module-dir=library --template-dir=hacking/templates # --verbose
-
-# because this requires Sphinx it is not run as part of every build, those building the RPM and so on can ignore this
-
-webdocs:
+webdocs: $(MANPAGES)
 	(cd docsite/; make docs)

=== docsite/Makefile ===
#!/usr/bin/make
SITELIB = $(shell python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
FORMATTER=../hacking/module_formatter.py

all: clean docs

docs: clean modules staticmin
	./build-site.py
	-(cp *.ico htmlout/)
	-(cp *.jpg htmlout/)
	-(cp *.png htmlout/)

viewdocs: clean staticmin
	./build-site.py view

htmldocs: staticmin
	./build-site.py rst

clean:
	-rm -rf htmlout
	-rm -f .buildinfo
	-rm -f *.inv
	-rm -rf *.doctrees
	@echo "Cleaning up minified css files"
	find . -type f -name "*.min.css" -delete
	@echo "Cleaning up byte compiled python stuff"
	find . -regex ".*\.py[co]$$" -delete
	@echo "Cleaning up editor backup files"
	find . -type f \( -name "*~" -or -name "#*" \) -delete
	find . -type f \( -name "*.swp" \) -delete
	@echo "Cleaning up generated rst"
	-rm rst/list_of_*.rst
	-rm rst/*_by_category.rst
	-rm rst/*_module.rst

.PHONEY: docs clean

modules: $(FORMATTER) ../hacking/templates/rst.j2
	PYTHONPATH=../lib $(FORMATTER) -t rst --template-dir=../hacking/templates --module-dir=../library -o rst/

staticmin:
	cat _themes/srtd/static/css/theme.css | sed -e 's/^[ \t]*//g; s/[ \t]*$$//g; s/\([:{;,]\) /\1/g; s/ {/{/g; s/\/\*.*\*\///g; /^$$/d' | sed -e :a -e '$$!N; s/\n\(.\)/\1/; ta' > _themes/srtd/static/css/theme.min.css

=== test/integration/Makefile ===
all: non_destructive destructive check_mode test_hash

non_destructive:
	ansible-playbook non_destructive.yml -i inventory -e @integration_config.yml -v $(TEST_FLAGS)

destructive:
	ansible-playbook destructive.yml -i inventory -e @integration_config.yml -v $(TEST_FLAGS)

check_mode:
	ansible-playbook check_mode.yml -i inventory -e @integration_config.yml -v --check $(TEST_FLAGS)

test_hash:
	ANSIBLE_HASH_BEHAVIOUR=replace ansible-playbook test_hash.yml -i inventory -v -e '{"test_hash":{"extra_args":"this is an extra arg"}}'
	ANSIBLE_HASH_BEHAVIOUR=merge ansible-playbook test_hash.yml -i inventory -v -e '{"test_hash":{"extra_args":"this is an extra arg"}}'

cloud: amazon rackspace

credentials.yml:
	@echo "No credentials.yml file found.  A file named 'credentials.yml' is needed to provide credentials needed to run cloud tests."
	@exit 1

amazon: credentials.yml
	ansible-playbook amazon.yml -i inventory -e @integration_config.yml -e @credentials.yml -v $(TEST_FLAGS)
	@# FIXME - Cleanup won't run if the previous tests fail
	python cleanup_ec2.py -y

rackspace: credentials.yml
	ansible-playbook rackspace.yml -i inventory -e @integration_config.yml -e @credentials.yml -v $(TEST_FLAGS)

=== debian/changelog ===
ansible (1.5.4+dfsg-1) unstable; urgency=medium

  * Pull missing manpages from upstream development branch.
  * New upstream version 1.5.4, security update.
  * Add patch to correct directory_mode functionality. (Closes: #743027)

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Tue, 01 Apr 2014 22:00:24 -0400

ansible (1.5.3+dfsg-1) unstable; urgency=low

  [ Harlan Lieberman-Berg ]
  * New upstream version.
  * Update Ansible homepage URL.
  * Add FontAwesome to d/copyright, remove non-existant files.
  * Refresh all patches, removing some related to documentation.
  * Add new dependency on python-crypto.

  [ Michael Vogt ]
  * add "sshpass" to Suggests
  * add "openssh-client | python-paramiko" to depends

 -- Michael Vogt <mvo@debian.org>  Tue, 18 Mar 2014 14:33:23 +0100

ansible (1.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Thu, 20 Feb 2014 08:58:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Janos Guljas <janos@debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>
-Build-Depends: debhelper (>= 9), python-all, python-setuptools,
- python-sphinx, python-yaml, asciidoc
-Standards-Version: 3.9.4
-Homepage: http://ansible.cc
+Build-Depends: debhelper (>= 9), python-all, python-crypto, 
+ python-setuptools, python-sphinx, python-yaml, asciidoc
+Standards-Version: 3.9.5
+Homepage: http://ansible.com
 Vcs-Git: git://anonscm.debian.org/collab-maint/ansible.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ansible.git
 
 Package: ansible
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-yaml, python-paramiko,
- python-jinja2, python-httplib2
-Suggests: ansible-doc
+Depends: ${misc:Depends}, ${python:Depends}, python-crypto, python-yaml, 
+ openssh-client | python-paramiko, python-jinja2, python-httplib2
+Suggests: ansible-doc, sshpass
 Description: Configuration management, deployment, and task execution system
  Ansible is a radically simple model-driven configuration management,
  multi-node deployment, and remote task execution system. Ansible works

=== debian/rules ===
--- 
+++ 
@@ -4,25 +4,24 @@
 	dh $@ --with python2 -Spython_distutils
 
 override_dh_fixperms:
-	chmod +x `grep '^#!' debian/ansible/usr/share/ansible/* -n | grep ':1:' | cut -d: -f 1`
+	chmod +x `grep '^#!' debian/ansible/usr/share/ansible/*/* -n | grep ':1:' | cut -d: -f 1`
 	dh_fixperms
 
 override_dh_auto_build:
 	dh_auto_build
-	cp -a docsite html
-	cp debian/missing-files/ansible_arch.png html
-	PYTHONPATH=../lib make docs -C html
-	rm -rf html/.gitignore \
-	    html/_themes \
-	    html/rst \
-	    html/*.png \
-	    html/*.jpg \
-	    html/*.py \
-	    html/Makefile \
-	    html/.buildinfo
+	# html documentation
+	cp -a docsite/ docbuild
+	cp debian/missing-files/*.jpg docbuild
+	PYTHONPATH=../lib make docs -C docbuild
+	mv docbuild/htmlout html
+	cp -r docbuild/man html/
+	rm -rf docbuild
+	# man pages for the "man3" section
+	make docs
 
 override_dh_auto_clean:
-	rm -rf html
+	# sphinx auto-build stuff
+	rm -rf html docs/man/man3/*.3
 	dh_auto_clean
 
 override_dh_installchangelogs:

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
    https://github.com/ansible/ansible/tags .*/v(.*).tar.gz

## ansible 1.5.5+dfsg

=== debian/changelog ===
ansible (1.5.5+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 16 May 2014 16:22:32 +0200

ansible (1.5.5+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.5, security update.
  * d/control: Add myself to Uploaders to silence Lintian
  * Refresh patches for new version.  Add DEP-3 headers to one patch.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Mon, 21 Apr 2014 16:51:47 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Janos Guljas <janos@debian.org>
-Uploaders: Michael Vogt <mvo@debian.org>
+Uploaders: Michael Vogt <mvo@debian.org>,
+ Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>
 Build-Depends: debhelper (>= 9), python-all, python-crypto, 
  python-setuptools, python-sphinx, python-yaml, asciidoc
 Standards-Version: 3.9.5

## ansible 1.6.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 # Manpages are currently built with asciidoc -- would like to move to markdown
 # This doesn't evaluate until it's called. The -D argument is the
 # directory of the target file ($@), kinda like `dirname`.
-MANPAGES := docs/man/man1/ansible.1 docs/man/man1/ansible-playbook.1 docs/man/man1/ansible-pull.1 docs/man/man1/ansible-doc.1
+MANPAGES := docs/man/man1/ansible.1 docs/man/man1/ansible-playbook.1 docs/man/man1/ansible-pull.1 docs/man/man1/ansible-doc.1 docs/man/man1/ansible-galaxy.1 docs/man/man1/ansible-vault.1
 ifneq ($(shell which a2x 2>/dev/null),)
 ASCII2MAN = a2x -D $(dir $@) -d manpage -f manpage $<
 ASCII2HTMLMAN = a2x -D docs/html/man/ -d manpage -f xhtml
@@ -122,7 +122,7 @@
 	$(PYTHON) setup.py install
 
 sdist: clean docs
-	$(PYTHON) setup.py sdist -t MANIFEST.in
+	$(PYTHON) setup.py sdist
 
 rpmcommon: $(MANPAGES) sdist
 	@mkdir -p rpm-build
@@ -172,3 +172,4 @@
 webdocs: $(MANPAGES)
 	(cd docsite/; make docs)
 
+docs: $(MANPAGES)

=== debian/changelog ===
ansible (1.6.3+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 16 Jun 2014 20:25:26 +0200

ansible (1.6.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Tue, 10 Jun 2014 00:23:17 +0000

ansible (1.6.2+dfsg-1) unstable; urgency=medium

  [ Felix Geyer ]
  * Run upstream build tests during the build. (Closes: #749406)

  [ Harlan Lieberman-Berg ]
  * New upstream version.
  * Packaged version from tip of upstream branch release1.6.2 instead of
    tagged version, as it contains a fix needed to prevent FTBFS.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Sun, 25 May 2014 17:50:03 +0000

ansible (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Wed, 07 May 2014 18:49:07 +0000

ansible (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Remove patches applied upstream.
  * Fix manpage warning.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Tue, 06 May 2014 03:07:30 +0000

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,9 @@
 	# man pages for the "man3" section
 	make docs
 
+override_dh_auto_test:
+	make tests
+
 override_dh_auto_clean:
 	# sphinx auto-build stuff
 	rm -rf html docs/man/man3/*.3

## ansible 1.6.5+dfsg

=== debian/changelog ===
ansible (1.6.5+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 28 Jun 2014 10:40:22 +0200

ansible (1.6.5+dfsg-1) unstable; urgency=high

  * New upstream release, x2.
  * Switch to using Files-Excluded to repack upstream for DFSG.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Wed, 25 Jun 2014 22:03:26 +0000

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/$/\+dfsg/ \
    https://github.com/ansible/ansible/tags .*/v(.*).tar.gz

## ansible 1.6.6+dfsg

=== debian/changelog ===
ansible (1.6.6+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 02 Jul 2014 17:36:53 +0200

ansible (1.6.6+dfsg-1) unstable; urgency=high

  * New upstream release.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Wed, 02 Jul 2014 01:35:05 +0000

## ansible 1.6.8+dfsg

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,9 @@
 #
 # useful targets:
 #   make sdist ---------------- produce a tarball
+#   make srpm ----------------- produce a SRPM
 #   make rpm  ----------------- produce RPMs
+#   make deb-src -------------- produce a DEB source
 #   make deb ------------------ produce a DEB
 #   make docs ----------------- rebuild the manpages (results are checked in)
 #   make tests ---------------- run the tests
@@ -14,7 +16,7 @@
 ########################################################
 # variable section
 
-NAME = "ansible"
+NAME = ansible
 OS = $(shell uname -s)
 
 # Manpages are currently built with asciidoc -- would like to move to markdown
@@ -45,6 +47,29 @@
 DATE := $(shell date --utc --date="$(GIT_DATE)" +%Y%m%d%H%M)
 endif
 
+# DEB build parameters
+DEBUILD_BIN ?= debuild
+DEBUILD_OPTS = --source-option="-I"
+DPUT_BIN ?= dput
+DPUT_OPTS ?=
+ifeq ($(OFFICIAL),yes)
+    DEB_RELEASE = 1ppa
+    # Sign OFFICIAL builds using 'DEBSIGN_KEYID'
+    # DEBSIGN_KEYID is required when signing
+    ifneq ($(DEBSIGN_KEYID),)
+        DEBUILD_OPTS += -k$(DEBSIGN_KEYID)
+    endif
+else
+    DEB_RELEASE = 0.git$(DATE)
+    # Do not sign unofficial builds
+    DEBUILD_OPTS += -uc -us
+    DPUT_OPTS += -u
+endif
+DEBUILD = $(DEBUILD_BIN) $(DEBUILD_OPTS)
+DEB_PPA ?= ppa
+# Choose the desired Ubuntu release: lucid precise saucy trusty
+DEB_DIST ?= unstable
+
 # RPM build parameters
 RPMSPECDIR= packaging/rpm
 RPMSPEC = $(RPMSPECDIR)/ansible.spec
@@ -54,6 +79,10 @@
     RPMRELEASE = 0.git$(DATE)
 endif
 RPMNVR = "$(NAME)-$(VERSION)-$(RPMRELEASE)$(RPMDIST)"
+
+# MOCK build parameters
+MOCK_BIN ?= mock
+MOCK_CFG ?=
 
 NOSETESTS ?= nosetests
 
@@ -129,6 +158,20 @@
 	@cp dist/*.gz rpm-build/
 	@sed -e 's#^Version:.*#Version: $(VERSION)#' -e 's#^Release:.*#Release: $(RPMRELEASE)%{?dist}#' $(RPMSPEC) >rpm-build/$(NAME).spec
 
+mock-srpm: /etc/mock/$(MOCK_CFG).cfg rpmcommon
+	$(MOCK_BIN) -r $(MOCK_CFG) --resultdir rpm-build/  --buildsrpm --spec rpm-build/$(NAME).spec --sources rpm-build/
+	@echo "#############################################"
+	@echo "Ansible SRPM is built:"
+	@echo rpm-build/*.src.rpm
+	@echo "#############################################"
+
+mock-rpm: /etc/mock/$(MOCK_CFG).cfg mock-srpm
+	$(MOCK_BIN) -r $(MOCK_CFG) --resultdir rpm-build/ --rebuild rpm-build/$(NAME)-*.src.rpm
+	@echo "#############################################"
+	@echo "Ansible RPM is built:"
+	@echo rpm-build/*.noarch.rpm
+	@echo "#############################################"
+
 srpm: rpmcommon
 	@rpmbuild --define "_topdir %(pwd)/rpm-build" \
 	--define "_builddir %{_topdir}" \
@@ -160,12 +203,44 @@
 	@echo "#############################################"
 
 debian: sdist
+	@for DIST in $(DEB_DIST) ; do \
+	    mkdir -p deb-build/$${DIST} ; \
+	    tar -C deb-build/$${DIST} -xvf dist/$(NAME)-$(VERSION).tar.gz ; \
+	    cp -a packaging/debian deb-build/$${DIST}/$(NAME)-$(VERSION)/ ; \
+	    sed -ie "s#^$(NAME) (\([^)]*\)) \([^;]*\);#ansible (\1-$(DEB_RELEASE)~$${DIST}) $${DIST};#" deb-build/$${DIST}/$(NAME)-$(VERSION)/debian/changelog ; \
+	done
+
 deb: debian
-	cp -r packaging/debian ./
-	chmod 755 debian/rules
-	fakeroot debian/rules clean
-	fakeroot dh_install
-	fakeroot debian/rules binary
+	@for DIST in $(DEB_DIST) ; do \
+	    (cd deb-build/$${DIST}/$(NAME)-$(VERSION)/ && $(DEBUILD) -b) ; \
+	done
+	@echo "#############################################"
+	@echo "Ansible DEB artifacts:"
+	@for DIST in $(DEB_DIST) ; do \
+	    echo deb-build/$${DIST}/$(NAME)_$(VERSION)-$(DEB_RELEASE)~$${DIST}_amd64.changes ; \
+	done
+	@echo "#############################################"
+
+deb-src: debian
+	@for DIST in $(DEB_DIST) ; do \
+	    (cd deb-build/$${DIST}/$(NAME)-$(VERSION)/ && $(DEBUILD) -S) ; \
+	done
+	@echo "#############################################"
+	@echo "Ansible DEB artifacts:"
+	@for DIST in $(DEB_DIST) ; do \
+	    echo deb-build/$${DIST}/$(NAME)_$(VERSION)-$(DEB_RELEASE)~$${DIST}_source.changes ; \
+	done
+	@echo "#############################################"
+
+deb-upload: deb
+	@for DIST in $(DEB_DIST) ; do \
+	    $(DPUT_BIN) $(DPUT_OPTS) $(DEB_PPA) deb-build/$${DIST}/$(NAME)_$(VERSION)-$(DEB_RELEASE)~$${DIST}_amd64.changes ; \
+	done
+
+deb-src-upload: deb-src
+	@for DIST in $(DEB_DIST) ; do \
+	    $(DPUT_BIN) $(DPUT_OPTS) $(DEB_PPA) deb-build/$${DIST}/$(NAME)_$(VERSION)-$(DEB_RELEASE)~$${DIST}_source.changes ; \
+	done
 
 # for arch or gentoo, read instructions in the appropriate 'packaging' subdirectory directory

=== test/integration/Makefile ===
INVENTORY ?= inventory
VARS_FILE ?= integration_config.yml

# Create a semi-random string for use when testing cloud-based resources
ifndef CLOUD_RESOURCE_PREFIX
CLOUD_RESOURCE_PREFIX := $(shell python -c "import string,random; print 'ansible-testing-' + ''.join(random.choice(string.ascii_letters + string.digits) for _ in xrange(8));")
endif

CREDENTIALS_FILE = credentials.yml
# If credentials.yml exists, use it
ifneq ("$(wildcard $(CREDENTIALS_FILE))","")
CREDENTIALS_ARG = -e @$(CREDENTIALS_FILE)
else
CREDENTIALS_ARG =
endif

all: non_destructive destructive check_mode test_hash test_handlers test_group_by

non_destructive:
	ansible-playbook non_destructive.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -v $(TEST_FLAGS)

destructive:
	ansible-playbook destructive.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -v $(TEST_FLAGS)

check_mode:
	ansible-playbook check_mode.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -v --check $(TEST_FLAGS)

test_group_by:
	ansible-playbook test_group_by.yml -i inventory.group_by -e @$(VARS_FILE) $(CREDENTIALS_ARG) -v $(TEST_FLAGS)

test_handlers:
	ansible-playbook test_handlers.yml -i inventory.handlers -e @$(VARS_FILE) $(CREDENTIALS_ARG) -v $(TEST_FLAGS)

test_hash:
	ANSIBLE_HASH_BEHAVIOUR=replace ansible-playbook test_hash.yml -i $(INVENTORY) $(CREDENTIALS_ARG) -v -e '{"test_hash":{"extra_args":"this is an extra arg"}}'
	ANSIBLE_HASH_BEHAVIOUR=merge ansible-playbook test_hash.yml -i $(INVENTORY) $(CREDENTIALS_ARG) -v -e '{"test_hash":{"extra_args":"this is an extra arg"}}'

cloud: amazon rackspace

cloud_cleanup: amazon_cleanup rackspace_cleanup

amazon_cleanup:
	python cleanup_ec2.py -y --match="^$(CLOUD_RESOURCE_PREFIX)"

rackspace_cleanup:
	@echo "FIXME - cleanup_rax.py not yet implemented"
	@# python cleanup_rax.py -y --match="^$(CLOUD_RESOURCE_PREFIX)"

$(CREDENTIALS_FILE):
	@echo "No credentials file found.  A file named '$(CREDENTIALS_FILE)' is needed to provide credentials needed to run cloud tests.  See sample 'credentials.template' file."
	@exit 1

amazon: $(CREDENTIALS_FILE)
	ANSIBLE_HOST_KEY_CHECKING=False ANSIBLE_SSH_PIPELINING=no BOTO_CONFIG=/dev/null ansible-playbook amazon.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    CLOUD_RESOURCE_PREFIX="$(CLOUD_RESOURCE_PREFIX)" make amazon_cleanup ; \
    exit $$RC;

rackspace: $(CREDENTIALS_FILE)
	ansible-playbook rackspace.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    CLOUD_RESOURCE_PREFIX="$(CLOUD_RESOURCE_PREFIX)" make rackspace_cleanup ; \
    exit $$RC;

=== debian/changelog ===
ansible (1.6.8+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Wed, 23 Jul 2014 15:34:26 -0400

ansible (1.6.8+dfsg-1) unstable; urgency=medium

  * New upstream release, fixing:
    CVE-2014-4966, CVE-2014-4967.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Wed, 23 Jul 2014 01:12:09 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Michael Vogt <mvo@debian.org>,
  Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>
 Build-Depends: debhelper (>= 9), python-all, python-crypto, 
- python-setuptools, python-sphinx, python-yaml, asciidoc
+ python-setuptools, python-sphinx, python-yaml, asciidoc,
+ python-nose, python-passlib
 Standards-Version: 3.9.5
 Homepage: http://ansible.com
 Vcs-Git: git://anonscm.debian.org/collab-maint/ansible.git

## ansible 1.6.9+dfsg

=== test/integration/Makefile ===
--- 
+++ 
@@ -14,7 +14,14 @@
 CREDENTIALS_ARG =
 endif
 
-all: non_destructive destructive check_mode test_hash test_handlers test_group_by
+all: non_destructive destructive check_mode test_hash test_handlers test_group_by parsing
+
+parsing:
+	ansible-playbook bad_parsing.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -vvv $(TEST_FLAGS) --tags common,scenario1; [ $$? -eq 3 ]
+	ansible-playbook bad_parsing.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -vvv $(TEST_FLAGS) --tags common,scenario2; [ $$? -eq 3 ]
+	ansible-playbook bad_parsing.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -vvv $(TEST_FLAGS) --tags common,scenario3; [ $$? -eq 3 ]
+	ansible-playbook bad_parsing.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -vvv $(TEST_FLAGS) --tags common,scenario4; [ $$? -eq 3 ]
+	ansible-playbook good_parsing.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -v $(TEST_FLAGS)
 
 non_destructive:
 	ansible-playbook non_destructive.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -v $(TEST_FLAGS)

=== debian/changelog ===
ansible (1.6.9+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Fri, 25 Jul 2014 00:16:26 -0400

ansible (1.6.9+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Fri, 25 Jul 2014 00:06:50 -0400

## ansible 1.6.10+dfsg

=== test/integration/Makefile ===
--- 
+++ 
@@ -22,6 +22,9 @@
 	ansible-playbook bad_parsing.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -vvv $(TEST_FLAGS) --tags common,scenario3; [ $$? -eq 3 ]
 	ansible-playbook bad_parsing.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -vvv $(TEST_FLAGS) --tags common,scenario4; [ $$? -eq 3 ]
 	ansible-playbook good_parsing.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -v $(TEST_FLAGS)
+
+unicode:
+	ansible-playbook unicode.yml -i $(INVENTORY) -e @$(VARS_FILE) -v $(TEST_FLAGS)
 
 non_destructive:
 	ansible-playbook non_destructive.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -v $(TEST_FLAGS)

=== debian/changelog ===
ansible (1.6.10+dfsg-1~bpo70+1) wheezy-backports; urgency=high

  * Rebuild for wheezy-backports.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Fri, 25 Jul 2014 20:11:08 -0400

ansible (1.6.10+dfsg-1) unstable; urgency=high

  * New upstream release.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Fri, 25 Jul 2014 20:00:08 -0400

## ansible 1.7.1+dfsg

=== debian/changelog ===
ansible (1.7.1+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Wed, 20 Aug 2014 00:08:16 -0400

ansible (1.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Thu, 14 Aug 2014 20:13:22 -0400

ansible (1.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh and remove outdated patches.
  * Add python-selinux to Recommends for SELinux support. (Closes: #757358)

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Wed, 06 Aug 2014 21:15:22 -0400

## ansible 1.7.2%2Bdfsg

=== docsite/Makefile ===
--- 
+++ 
@@ -9,6 +9,10 @@
 	-(cp *.ico htmlout/)
 	-(cp *.jpg htmlout/)
 	-(cp *.png htmlout/)
+
+variables:
+	(mkdir -p htmlout/)
+	dot variables.dot -Tpng -o htmlout/variables.png
 
 viewdocs: clean staticmin
 	./build-site.py view

## ansible 1.7.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -75,7 +75,7 @@
 RPMSPEC = $(RPMSPECDIR)/ansible.spec
 RPMDIST = $(shell rpm --eval '%{?dist}')
 RPMRELEASE = 1
-ifeq ($(OFFICIAL),)
+ifneq ($(OFFICIAL),yes)
     RPMRELEASE = 0.git$(DATE)
 endif
 RPMNVR = "$(NAME)-$(VERSION)-$(RPMRELEASE)$(RPMDIST)"

=== test/integration/Makefile ===
--- 
+++ 
@@ -14,7 +14,9 @@
 CREDENTIALS_ARG =
 endif
 
-all: non_destructive destructive check_mode test_hash test_handlers test_group_by parsing
+VAULT_PASSWORD_FILE = vault-password
+
+all: non_destructive destructive includes unicode test_var_precedence check_mode test_hash test_handlers test_group_by test_vault parsing
 
 parsing:
 	ansible-playbook bad_parsing.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -vvv $(TEST_FLAGS) --tags common,scenario1; [ $$? -eq 3 ]
@@ -22,6 +24,9 @@
 	ansible-playbook bad_parsing.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -vvv $(TEST_FLAGS) --tags common,scenario3; [ $$? -eq 3 ]
 	ansible-playbook bad_parsing.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -vvv $(TEST_FLAGS) --tags common,scenario4; [ $$? -eq 3 ]
 	ansible-playbook good_parsing.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -v $(TEST_FLAGS)
+
+includes:
+	ansible-playbook test_includes.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) $(TEST_FLAGS) 
 
 unicode:
 	ansible-playbook unicode.yml -i $(INVENTORY) -e @$(VARS_FILE) -v $(TEST_FLAGS)
@@ -45,12 +50,30 @@
 	ANSIBLE_HASH_BEHAVIOUR=replace ansible-playbook test_hash.yml -i $(INVENTORY) $(CREDENTIALS_ARG) -v -e '{"test_hash":{"extra_args":"this is an extra arg"}}'
 	ANSIBLE_HASH_BEHAVIOUR=merge ansible-playbook test_hash.yml -i $(INVENTORY) $(CREDENTIALS_ARG) -v -e '{"test_hash":{"extra_args":"this is an extra arg"}}'
 
+test_var_precedence:
+	ansible-playbook test_var_precedence.yml -i $(INVENTORY) $(CREDENTIALS_ARG) -v -e 'extra_var=extra_var'
+
+test_vault:
+	ansible-playbook test_vault.yml -i $(INVENTORY) $(CREDENTIALS_ARG) -v $(TEST_FLAGS) --vault-password-file $(VAULT_PASSWORD_FILE) --list-tasks
+	ansible-playbook test_vault.yml -i $(INVENTORY) $(CREDENTIALS_ARG) -v $(TEST_FLAGS) --vault-password-file $(VAULT_PASSWORD_FILE) --list-hosts
+	ansible-playbook test_vault.yml -i $(INVENTORY) $(CREDENTIALS_ARG) -v $(TEST_FLAGS) --vault-password-file $(VAULT_PASSWORD_FILE) --syntax-check
+	ansible-playbook test_vault.yml -i $(INVENTORY) $(CREDENTIALS_ARG) -v $(TEST_FLAGS) --vault-password-file $(VAULT_PASSWORD_FILE)
+
+test_winrm:
+	ansible-playbook test_winrm.yml -i inventory.winrm -e @$(VARS_FILE) $(CREDENTIALS_ARG) -v $(TEST_FLAGS)
+
 cloud: amazon rackspace
 
 cloud_cleanup: amazon_cleanup rackspace_cleanup
 
 amazon_cleanup:
 	python cleanup_ec2.py -y --match="^$(CLOUD_RESOURCE_PREFIX)"
+
+gce_setup:
+	python setup_gce.py "$(CLOUD_RESOURCE_PREFIX)"
+
+gce_cleanup:
+	python cleanup_gce.py -y --match="^$(CLOUD_RESOURCE_PREFIX)"
 
 rackspace_cleanup:
 	@echo "FIXME - cleanup_rax.py not yet implemented"
@@ -66,6 +89,13 @@
     CLOUD_RESOURCE_PREFIX="$(CLOUD_RESOURCE_PREFIX)" make amazon_cleanup ; \
     exit $$RC;
 
+gce: $(CREDENTIALS_FILE)
+	CLOUD_RESOURCE_PREFIX="$(CLOUD_RESOURCE_PREFIX)" make gce_setup ; \
+    ansible-playbook gce.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
+    RC=$$? ; \
+    CLOUD_RESOURCE_PREFIX="$(CLOUD_RESOURCE_PREFIX)" make gce_cleanup ; \
+    exit $$RC;
+
 rackspace: $(CREDENTIALS_FILE)
 	ansible-playbook rackspace.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
     RC=$$? ; \

=== packaging/port/sysutils/ansible/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PORTVERSION=    1.0
 PORTREVISION=   1
 CATEGORIES=     python net-mgmt
-MASTER_SITES=   http://ansibleworks.com/releases/
+MASTER_SITES=   http://releases.ansible.com/ansible/
 DISTNAME=		${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=		briancoca+ansible@gmail.com

=== debian/changelog ===
ansible (1.7.2+dfsg-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1341183)

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 25 Sep 2014 21:30:18 +0200

ansible (1.7.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Wed, 24 Sep 2014 16:55:14 -0400

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-crypto, python-yaml, 
  openssh-client | python-paramiko, python-jinja2, python-httplib2
+Recommends: python-selinux
 Suggests: ansible-doc, sshpass
 Description: Configuration management, deployment, and task execution system
  Ansible is a radically simple model-driven configuration management,

=== debian/watch ===
version=3
opts=uversionmangle=s/$/\+dfsg/ \
    https://github.com/ansible/ansible/tags .*/v(.*).tar.gz

## ansible 1.9.2+dfsg

=== debian/changelog ===
ansible (1.9.2+dfsg-2) unstable; urgency=low

  * Fix suggestion of no-longer-built ansible-doc. (Closes: #795532)
    .
    Ansible used to ship their website which contained the manual for using ansible
    and learning it.  They no longer ship this in released versions, thus ansible-doc
    was removed.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Sat, 15 Aug 2015 09:29:31 +0200

ansible (1.9.2+dfsg-1) unstable; urgency=medium

  * New upstream version. (Closes: #773526)
  * Add dependency on python-netaddr (Closes: #790234)
  * Heavy refactoring due to upstream release changes
  * New, comprehensive d/copyright.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Sat, 27 Jun 2015 23:12:55 -0400

ansible (1.7.2+dfsg-2) unstable; urgency=low

  * Add updated paths to d/copyright.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Thu, 02 Oct 2014 17:31:12 -0400

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: Janos Guljas <janos@debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>
-Build-Depends: debhelper (>= 9), python-all, python-crypto, 
- python-setuptools, python-sphinx, python-yaml, asciidoc,
- python-nose, python-passlib
-Standards-Version: 3.9.5
+ Harlan Lieberman-Berg <hlieberman@setec.io>
+Build-Depends: debhelper (>= 9), python-all, python-crypto,
+ python-setuptools, python-yaml, asciidoc,
+ python-nose, python-passlib, dh-python
+Standards-Version: 3.9.6
 Homepage: http://ansible.com
 Vcs-Git: git://anonscm.debian.org/collab-maint/ansible.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ansible.git
 
 Package: ansible
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-crypto, python-yaml, 
- openssh-client | python-paramiko, python-jinja2, python-httplib2
+Depends: ${misc:Depends}, ${python:Depends}, python-crypto, python-yaml,
+ openssh-client | python-paramiko, python-jinja2, python-httplib2,
+ python-netaddr
 Recommends: python-selinux
-Suggests: ansible-doc, sshpass
+Suggests: sshpass
 Description: Configuration management, deployment, and task execution system
  Ansible is a radically simple model-driven configuration management,
  multi-node deployment, and remote task execution system. Ansible works
@@ -58,17 +59,3 @@
  .
  This package is a dependency package, which depends on Python modules for
  keyczar and ZeroMQ.
-
-Package: ansible-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
-Description: Ansible documentation and examples
- Ansible is a radically simple model-driven configuration management,
- multi-node deployment, and remote task execution system. Ansible works
- over SSH and does not require any software or daemons to be installed
- on remote nodes. Extension modules can be written in any language and
- are transferred to managed machines automatically.
- .
- This package contains HTML documentation and examples.
-

## ansible 1.9.4

=== debian/changelog ===
ansible (1.9.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Mon, 28 Dec 2015 23:05:13 -0500

ansible (1.9.4-1) unstable; urgency=medium

  * New upstream version.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sat, 10 Oct 2015 17:51:09 -0400

ansible (1.9.3-1) unstable; urgency=medium

  * New upstream version.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Thu, 03 Sep 2015 21:06:03 -0400
